Issue 127815 - Main app (soffice.exe) has wrong icon on OS/2
Summary: Main app (soffice.exe) has wrong icon on OS/2
Status: RESOLVED FIXED
Alias: None
Product: General
Classification: Code
Component: ui (show other issues)
Version: 4.1.3
Hardware: All OS/2
: P5 (lowest) Normal (vote)
Target Milestone: 4.1.8
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords:
Depends on:
Blocks: 126518
  Show dependency tree
 
Reported: 2018-07-12 13:54 UTC by Matthias Seidel
Modified: 2020-09-29 14:21 UTC (History)
1 user (show)

See Also:
Issue Type: PATCH
Latest Confirmation in: 4.1.7
Developer Difficulty: Easy


Attachments
OO icon for OS/2 (11.05 KB, image/x-icon)
2018-07-12 13:54 UTC, Matthias Seidel
no flags Details
Patch for OS/2 icon (11.14 KB, patch)
2018-07-12 14:01 UTC, Matthias Seidel
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description Matthias Seidel 2018-07-12 13:54:58 UTC
Created attachment 86450 [details]
OO icon for OS/2

The main app (soffice.exe) has a wrong icon on OS/2.
It is a kind of Writer icon, but should be the AOO Orb.

I converted with winico94 (https://github.com/komh/winico) to the OS/2 format. It now contains:

 - 40x40
 - 32x32
 - 20x20
 - 16x16

in 24 bit color. Other formats can be added if necessary.
Comment 1 Matthias Seidel 2018-07-12 14:01:10 UTC
Created attachment 86451 [details]
Patch for OS/2 icon

Hopefully this simple patch will do it.

if it works sd.ico and sd2.ico can be removed.
Comment 2 Matthias Seidel 2018-08-05 22:59:37 UTC
ooo-main-app.ico in:

main/sysui/desktop/os2

should also be updated.
Comment 3 SVN Robot 2018-08-05 23:01:11 UTC
"mseidel" committed SVN revision 1837473 into trunk:
i127815 - Updated OS/2 main app icon
Comment 4 SVN Robot 2018-09-11 14:01:56 UTC
"ydario" committed SVN revision 1840571 into trunk:
#i127815# use new app icon for OS/2 windows. Always set icon for frame
Comment 5 Yuri Dario 2018-09-11 14:40:10 UTC
Fixed with above commit. SD.ICO is retained (using win name) since VCL includes a list of resources to use in case they are missing from executable.